/* Copyright (c) Daniel Newman 2006
 *
 * e-mail: danielnewman106@hotmail.com
 */

#ifndef _MAINWINDOW_H_
#define _MAINWINDOW_H_

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#include "resource.h"

class CMainWindow
{
	HWND m_hWnd;

	int m_nClientWidth, m_nClientHeight;
	DWORD m_dwStyle;
	void UpdateClientRect ();

public:
	CMainWindow (HINSTANCE hInst, int nClientWidth, int nClientHeight,
		int Menu, WNDPROC lpfnWndProc);
	~CMainWindow ();

	void Center ();
	inline HWND GetHWnd () { return m_hWnd; }
	inline void Show (bool bVisible) { ShowWindow (m_hWnd, bVisible ? SW_SHOW : SW_HIDE); }

};

#endif // _MAINWINDOW_H_