/* Copyright (c) Daniel Newman 2006
 *
 * e-mail: danielnewman106@hotmail.com
 */

#ifndef _MP3FILE_H_
#define _MP3FILE_H_

#define WIN32_LEAN_AND_MEAN
#define _WIN32_WINNT 0x0500

typedef unsigned long DWORD_PTR;
typedef __int64 LONG_PTR;

#include <windows.h>
#include <objbase.h>
#include <dshow.h>
#include <dsound.h>

#define WM_MP3FILEEVENT (WM_USER+50)

class CMP3File
{
	IGraphBuilder *m_pGraphBuilder;
	IMediaControl *m_pMediaControl;
	IMediaEventEx *m_pMediaEvent;
	IMediaPosition *m_pMediaPosition;

	void CreateCOMObjects();

public:
	CMP3File();
	CMP3File(char *szFileName);
	~CMP3File();

	HRESULT LoadFile(char *szFileName);
	HRESULT Play();
	HRESULT Rewind();
	HRESULT Stop();

	HRESULT SetVolume(long lVolume);

	HRESULT SetMessageHandler(HWND hWnd);
	inline IMediaEvent *GetMediaEvent() { return m_pMediaEvent; }
};

#endif // _MP3FILE_H_